Subject: Re: [patch 29/30] PS3: Device tree source.

From: Segher Boessenkool <[email-masked]>
Date: Thu, 14 Jun 2007 12:25:21 +0200

>> Please review the OF spec, sections 3.4 and the "/" entry
>> of 3.5.
>>
>> I'f the flat device tree doc and/or code says differently
>> here, that is a bug.
>
> Well, I wonder if that's been superceeded by some RFC or never 
> validated
> addition ...

It has been that way since before the OF standard
existed, and never has been changed.

> None of the Apple trees for example has a /name property

Apple's trees have many many problems, you know that
as well as anybody.

> and the idea of having a node with a name that doesn't participate in
> the path resolution in just wrong.

Nonsense, a pathname starting with "/" is handled
specially.  This is true on Unix systems as well.

> We should check but I don't think IBM
> trees have one either.
>
> So I stand by the way I defined the flat DT -> no name in the root. But
> you are welcome to use compatible

You can use "compatible" as an alternate name, sure.
Not allowing a "name" in the root node is simply an
oversight in the flat device tree, and should be fixed
in my opinion.  There is no backwwards-compatibility
problem with that.

> and model.

> "model" is a completely separate thing, so yeah.

Segher